| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Element-wise reciprocial
Core functionality » Hardware Acceleration Layer » Interface

## Detailed Description

Computes reciprocial: dst[i] = scale / src[i]

Parameters

  src_data | source image data
  src_step | source image step
  dst_data | destination image data
  dst_step | destination image step
  width | width of the images
  height | height of the images
  scale | additional multiplier

## Functions
int | hal_ni_recip16bf (const cv_hal_bf16 *src_data, size_t src_step, cv_hal_bf16 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip16f (const cv_hal_f16 *src_data, size_t src_step, cv_hal_f16 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip16s (const short *src_data, size_t src_step, short *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip16u (const ushort *src_data, size_t src_step, ushort *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip32f (const float *src_data, size_t src_step, float *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip32s (const int *src_data, size_t src_step, int *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip32u (const unsigned *src_data, size_t src_step, unsigned *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip64f (const double *src_data, size_t src_step, double *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip64s (const int64 *src_data, size_t src_step, int64 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip64u (const uint64 *src_data, size_t src_step, uint64 *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip8s (const schar *src_data, size_t src_step, schar *dst_data, size_t dst_step, int width, int height, double scale)
int | hal_ni_recip8u (const uchar *src_data, size_t src_step, uchar *dst_data, size_t dst_step, int width, int height, double scale)

## Function Documentation

## ◆ hal_ni_recip16bf()

int hal_ni_recip16bf | ( | const cv_hal_bf16 * | src_data,
|  | size_t | src_step,
|  | cv_hal_bf16 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip16f()

int hal_ni_recip16f | ( | const cv_hal_f16 * | src_data,
|  | size_t | src_step,
|  | cv_hal_f16 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip16s()

int hal_ni_recip16s | ( | const short * | src_data,
|  | size_t | src_step,
|  | short * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip16u()

int hal_ni_recip16u | ( | const ushort * | src_data,
|  | size_t | src_step,
|  | ushort * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip32f()

int hal_ni_recip32f | ( | const float * | src_data,
|  | size_t | src_step,
|  | float * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip32s()

int hal_ni_recip32s | ( | const int * | src_data,
|  | size_t | src_step,
|  | int * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip32u()

int hal_ni_recip32u | ( | const unsigned * | src_data,
|  | size_t | src_step,
|  | unsigned * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip64f()

int hal_ni_recip64f | ( | const double * | src_data,
|  | size_t | src_step,
|  | double * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip64s()

int hal_ni_recip64s | ( | const int64 * | src_data,
|  | size_t | src_step,
|  | int64 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip64u()

int hal_ni_recip64u | ( | const uint64 * | src_data,
|  | size_t | src_step,
|  | uint64 * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip8s()

int hal_ni_recip8s | ( | const schar * | src_data,
|  | size_t | src_step,
|  | schar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`

## ◆ hal_ni_recip8u()

int hal_ni_recip8u | ( | const uchar * | src_data,
|  | size_t | src_step,
|  | uchar * | dst_data,
|  | size_t | dst_step,
|  | int | width,
|  | int | height,
|  | double | scale )
| inline

`#include <core/src/hal_replacement.hpp>`